var author              = "Florian QUEZE (f.qu@queze.net)";
var contentFlag         = CONTENT | PROFILE_CHROME;
var displayName         = "View Dependencies";
var error               = null;
var folder              = getFolder("Profile", "chrome");
var name                = "viewdep";
var localeFlag          = LOCALE  | PROFILE_CHROME;
var skinFlag            = SKIN    | PROFILE_CHROME;
var version             = "0.3.2.2";
var jarName             = name + ".jar";
var existsInApplication = File.exists(getFolder(getFolder("chrome"), jarName));
var existsInProfile     = File.exists(getFolder(folder, jarName));

initInstall(displayName, name, version);

// If the extension exists in the application folder or it doesn't exist in the profile folder and the user doesn't want it installed to the profile folder
if(existsInApplication || (!existsInProfile && !confirm("Do you want to install the extension into your profile folder?\n(Cancel will install into the application folder)")))
{
    contentFlag = CONTENT | DELAYED_CHROME;
    folder      = getFolder("chrome");
    localeFlag  = LOCALE  | DELAYED_CHROME;
    skinFlag    = SKIN    | DELAYED_CHROME;
}

setPackageFolder(folder);
error = addFile(author, version, "chrome/" + jarName, folder, null);

// If adding the JAR file succeeded
if(error == SUCCESS)
{
    var prefDir = getFolder("Program", "defaults/pref");
    error = addFile(author, version, "defaults/preferences/viewdep-prefs.js", prefDir, null, true);
    // errors with the defaults preferences can be ignored. This file is not absolutely needed.

    folder = getFolder(folder, jarName);

    registerChrome(contentFlag, folder, "content/" + name + "/");
    registerChrome(skinFlag,   folder, "skin/classic/" + name + "/");
    registerChrome(localeFlag, folder, "locale/en-US/" + name + "/");
    registerChrome(localeFlag, folder, "locale/fr-FR/" + name + "/");
    registerChrome(localeFlag, folder, "locale/de-DE/" + name + "/");
    registerChrome(localeFlag, folder, "locale/pt-BR/" + name + "/");
    registerChrome(localeFlag, folder, "locale/nl-NL/" + name + "/");
    registerChrome(localeFlag, folder, "locale/ja-JP/" + name + "/");
    registerChrome(localeFlag, folder, "locale/zh-TW/" + name + "/");
    registerChrome(localeFlag, folder, "locale/es-ES/" + name + "/");
    registerChrome(localeFlag, folder, "locale/it-IT/" + name + "/");
    registerChrome(localeFlag, folder, "locale/ko-KR/" + name + "/");
    registerChrome(localeFlag, folder, "locale/pl-PL/" + name + "/");

    error = performInstall();

    alert(displayName+" "+version+" has been succesfully installed.\nYou will need to restart Mozilla before using.");
}
else
{
	alert("The installation of the extension failed.\n" + error);
	cancelInstall(error);
}
